Subject: [PATCH 0/6] Add pinctrl driver for Allwinner A1X SoCs

From: [email-masked] (Alejandro Mery)
Date: Wed, 12 Dec 2012 14:43:08 +0100

On 12/12/12 14:33, Maxime Ripard wrote:
> Le 12/12/2012 13:49, Alejandro Mery a ?crit :
>> On 12/12/12 10:11, Maxime Ripard wrote:
>>> Hi Alejandro,
>>>
>>> Le 11/12/2012 22:58, Alejandro Mery a ?crit :
>>>> On 10/12/12 23:08, Maxime Ripard wrote:
>>>>> Hi everyone,
>>>>>
>>>>> This patch set adds a pinctrl driver for the IP found in the Allwinner
>>>>> A10
>>>>> and A13, and the SoC-specific bits for the A13. It also adds the
>>>>> documentation
>>>>> for the device tree bindings.
>>>>
>>>> Hi. I just wanted to comment that there are 3 known sun5i SoCs, not only
>>>> the A13. The A10s and the A12 are also sun5i. For A10s and A13 there are
>>>> datasheets available with the pin info. So please don't assume the A13's
>>>> pins are "sun5i" pins, they are merely aw1626 (aka A13) pins.
>>>
>>> Ok, I will change the naming scheme to something like sun5i-a13. For the
>>> other SoC codenames like sun4i, are you aware of several actual SoCs
>>> using the same codename, or do we have only sun4i == A10?
>>
>> the A10 is the only sun4i we know of, the A31 is the only sun6i we know
>> of, and the A20 is the only sun7i we know of... they'll soon run out of
>> numbers... :|
>>
>> Also, to avoid confusions with their poorly chosen marketing name, you
>> could use the internal chip name aw1623 for the A10 and aw1626 for the
>> A13 instead. This value can be read from the BROM and it's commonly used
>> in allwinner sources.
>
> In what aspect are they poorly named? I'd really like to keep it as
> understandable as possible, at least in the device tree.
>
> I guess renaming the sun5i dtsi already there and all that relates to
> the A13 to sun5i-a13 would remove that collision of names, don't you
> think? Or am I missing something?

fine with me, but "The A10 is an A8, same as the A10s and A13, but the 
A13 is less than the A10 but larger and A10s is not the plural of A10. 
And the A20 been like an A10 but A7" doesn't make you dizzy? ;-)

sure prefixing the marketing name with sunxi- or sunNi- removes the 
ambiguity.

cheers,
Alejandro Mery